<template>
  <div>
    <v-container>
      <p class="display-3 font-weight-light	text-center pa-4">Список услуг</p>
      <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
          <v-card
            class="service"
            elevation="5"
            v-for="service in services"
            :key="service.id"
          >
            <v-card-title class='my_title'>{{ service.title }}</v-card-title>
            <v-card-subtitle>
              <v-icon
                v-for="n in Math.round(service.middle_rating)"
                :key=n
                class='my_star'
              >
                mdi-star
              </v-icon>
              <v-icon
                v-for="n in (5 - Math.round(service.middle_rating))"
                :key=n
                class='my_star'
              >
                mdi-star-outline
              </v-icon>
              <strong>{{ service.middle_rating }}</strong>
            </v-card-subtitle>
            <v-card-text>{{ service.description }}</v-card-text>
            <v-card-actions>
              <v-btn
                @click="goTo(service.id)"
                color="blue"
                text
              >
                Подробнее
              </v-btn>
              <v-btn
                @click="addToCart(service.id)"
                elevation="2"
                color="green"
              >
                В корзину
              </v-btn>
              <v-btn
                @click="clearMyCart"
                elevation="2"
                color="red"
              >
                Очистить корзину
              </v-btn>
            </v-card-actions>
          </v-card>
        </div>
      </div>
    </v-container>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'services',
  data: () => ({
      services: []
    }
  ),
  created() {
    this.$setTitle('Услуги')
    this.loadServices()
  },
  methods: {
    async loadServices() {
      this.$store.commit('setLoading', true)
      this.services = await axios.get(
        `${this.$store.getters.getServerUrl}api/v1/reviews/services/`
      ).then(response => response.data)
      this.$store.commit('setLoading', false)
    },
    goTo(id) {
      this.$router.push({ name: 'Reviews', params:{ id: id } })
    },
    addToCart(id) {
      const item1 = this.services.filter(i => i.id === id)
      const item = item1[0]
      this.$store.commit('addToCart', item)
    },
    clearMyCart() {
      this.$store.commit('clearCart')
    }
  }
}
</script>

<style scoped>
.service {
  margin: 50px;
}
.my_star {
  color:gold;
  font-size: 30px;
}
.my_title {
  margin-bottom: 0px;
}
</style>
